Bug 1567778 - CVE-2018-6797 perl: heap write overflow in regcomp.c [fedora-all]
Summary: CVE-2018-6797 perl: heap write overflow in regcomp.c [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 27
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2018-6797
TreeView+ depends on / blocked
 
Reported: 2018-04-16 08:07 UTC by Cedric Buissart 🐶
Modified: 2018-05-09 21:22 UTC (History)
12 users (show)

Fixed In Version: perl-5.26.2-411.fc29 perl-5.26.2-404.fc27 perl-5.24.4-397.fc26 perl-5.26.2-410.fc28
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-21 03:39:44 UTC


Attachments (Terms of Use)

Comment 1 Cedric Buissart 🐶 2018-04-16 08:07:08 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1547783,1567778

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2018-04-16 12:26:32 UTC
perl-5.26.2-410.fc28 perl-Module-CoreList-5.20180414-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d1ba58394e

Comment 3 Fedora Update System 2018-04-16 13:47:13 UTC
perl-Module-CoreList-5.20180414-1.fc27 perl-5.26.2-404.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1c8b49fbc7

Comment 4 Fedora Update System 2018-04-16 15:50:51 UTC
perl-Module-CoreList-5.20180414-1.fc26 perl-5.24.4-397.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0050f7c0d1

Comment 5 Fedora Update System 2018-04-18 02:29:18 UTC
perl-5.24.4-397.fc26, perl-Module-CoreList-5.20180414-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0050f7c0d1

Comment 6 Fedora Update System 2018-04-18 03:00:02 UTC
perl-5.26.2-404.fc27, perl-Module-CoreList-5.20180414-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1c8b49fbc7

Comment 7 Fedora Update System 2018-04-21 03:39:44 UTC
perl-5.26.2-404.fc27, perl-Module-CoreList-5.20180414-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-04-25 18:16:19 UTC
perl-5.24.4-397.fc26, perl-Module-CoreList-5.20180414-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-04-29 09:40:56 UTC
perl-5.26.2-410.fc28, perl-Module-CoreList-5.20180414-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d1ba58394e

Comment 10 Fedora Update System 2018-05-08 10:36:08 UTC
perl-5.26.2-410.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d1ba58394e

Comment 11 Fedora Update System 2018-05-09 21:22:17 UTC
perl-5.26.2-410.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.